Subject: Re: [PATCH] rpmbuild doesn't like '-' in version strings

From: Andreas Ericsson <[email-masked]>
Date: Sat, 07 Jan 2006 01:04:51 +0100

Junio C Hamano wrote:
> John Ellson <[email-masked]> writes:
> 
> 
>>Suggested fix:  Use '_' instead of '-'
> 
> 
> I wonder if the right fix is to change the git-describe output
> before the current output becomes too widespread.

I don't think there's any major risk of the current output being very 
widespread. It's not very useful for scripting.

>  To really
> fix this problem, I think the rpm target of the main Makefile
> needs to be modified to include something monotonicly increasing
> (e.g. number of seconds since the base commit encoded in base26,
> or something silly like that)

Why not keep it super-simple and just print the number of commits since 
whatever tag is found? It only counts commits on the current branch, so 
a merge shows up as a single commit. That should more or less be ok 
though and goes well with the topic branch model.

>  If I cut a binary package out of my
> master and then one of my topic branches, it is very likely they
> will get confused time ordering when they happen to find the
> same base revision.

I suppose this could happen when counting commits as well. People who 
build packages from different branches should be shot on sight though, 
so I wouldn't worry about it.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231